"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class AlgorithmBasedVariantClassification(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "algorithmName",
        "classification",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_5 import reports as reports_6_8_0

        return {
            "org.gel.models.report.avro.AlgorithmBasedVariantClassification": reports_6_8_0.AlgorithmBasedVariantClassification,
        }

    __slots__ = [
        "algorithmName",
        "classification",
        "rank",
        "score",
    ]

    def __init__(
        self,
        algorithmName,
        classification,
        rank=None,
        score=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_6_8_0.AlgorithmBasedVariantClassification model.

        :param algorithmName:
            Name of the applied algorithm
        :type algorithmName: str
        :param classification:
            classification
        :type classification: str
        :param rank:
            rank
        :type rank: None | int
        :param score:
            Score
        :type score: None | int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "6.8.0"
